package evaluator.departureexperiment;


import java.awt.Dimension;

import javax.swing.Box;

import evaluator.util.ContentGeneratorInterface;
import evaluator.util.EvaluatorFrame;
import evaluator.util.ExperimentController;
import evaluator.util.NextButton;
import evaluator.util.StartButton;
import evaluator.util.StopButton;
import evaluator.util.TaskGroup;
import evaluator.util.TaskPanel;
import evaluator.util.TextEntryBox;


/**
 * <p>Title: ContentGeneratorForDepartureExperiment</p>
 * <p>Description: Experiment for the evaluation of Different Link visualtizations.</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: University of Hamburg, Germany</p>
 * @author Hartmut Obendorf, http://asi-www.informatik.uni-hamburg.de/personen/obendorf/
 * @author Harald Weinreich, http://vsis-www.informatik.uni-hamburg.de/~weinreic/
 * @version 5.0
 */

public class ContentGeneratorForDepartureExperiment5Part2 implements ContentGeneratorInterface {
    private EvaluatorFrame _evaluatorFrame;
    private scone.Plugin   _plugin;

    public ContentGeneratorForDepartureExperiment5Part2() {
        _evaluatorFrame = null;
        _plugin = null;
    }

    public void init(EvaluatorFrame evaluatorFrame, scone.Plugin plugin) {
        _evaluatorFrame = evaluatorFrame;
        _plugin = plugin;
    }

    public void generate(ExperimentController experiment) {
        long subjectNumber = experiment.getSubjectNumber();

        System.out.println("Subject: " + subjectNumber);
        TaskPanel panel;
        TaskGroup taskGroup;

        StartButton  start;
        StopButton   stop;
        TextEntryBox teb;
        NextButton   next;

        String vis21 = "", vis22 = "", vis23 = "";

        // Six permutations... I'm to lazy to code it another way :-\
        if ((subjectNumber % 6) == 0) {
            vis21 = "hidden";
            vis22 = "normal";
            vis23 = "background";
        }
        if ((subjectNumber % 6) == 1) {
            vis21 = "hidden";
            vis23 = "normal";
            vis22 = "background";
        }
        if ((subjectNumber % 6) == 2) {
            vis22 = "hidden";
            vis21 = "normal";
            vis23 = "background";
        }
        if ((subjectNumber % 6) == 3) {
            vis22 = "hidden";
            vis23 = "normal";
            vis21 = "background";
        }
        if ((subjectNumber % 6) == 4) {
            vis23 = "hidden";
            vis21 = "normal";
            vis22 = "background";
        }
        if ((subjectNumber % 6) == 5) {
            vis23 = "hidden";
            vis22 = "normal";
            vis21 = "background";
        }

        // = EINFÜHRUNG ======================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        // = TESTS MIT TIMEOUT ================================================================
        // = TESTS MIT TIMEOUT ================================================================
        // = TESTS MIT TIMEOUT ================================================================
        // = TESTS MIT TIMEOUT ================================================================

        // initialize Visualization (at generation time!)
        lookoflink.Plugin.setVisualization("background");

        panel.addBoldText("Willkommen bei unserer Studie zur Visualisierung von Links!");
        panel.addText(" ");
        panel.addText("Wir möchten verschiedene Arten der Visualisierung von Links daraufhin testen, wie gut sie benutzbar sind.");
        panel.addText("Dazu werden wir mehrere kleine Aufgaben stellen.");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addText("Dieser Test hat folgenden Ablauf: Du sollst für eine recht kurze vorgegebene Zeit (ca. 30 Sekunden)");
        panel.addText("den Inhalt einer Webseite möglichst genau lesen. Die Seite wird nach dieser Zeit automatisch verschwinden.");
        panel.addText("Dann werden Dir vier kurze Fragen zum Inhalt gestellt.");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addText("Um die Fragen beantworten zu können, solltest Du versuchen, den Text zu verstehen. Wenn Du Fragen nicht beantworten kannst,");
        panel.addText("macht das natürlich nichts. Sonst wäre der Test ja zu leicht!");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addText("Um einen kleinen Eindruck vom Ablauf der Studie zu erhalten, gibt es gleich eine Einführungsaufgabe.");
        panel.addText("Diese soll dazu dienen, dass Du Dich mit dem Ablauf vertraut machen kannst.");
        panel.addText(" ");
        panel.addBoldText("Szenario");
        panel.addText("Du hast -- wie immer -- nur wenig Zeit und versuchst Dich möchlichst genau und schnell über die neuesten Entwicklungen");
        panel.addText("und Tendenzen im Bereich der EDV zu informieren. Dafür liest Du einige Seiten eines Nachrichtendienstes.");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke den ,,Start''-Knopf und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        StartButtonWithTimeout startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.spiegel.bezahlung.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Jetzt noch vier kleine Fragen zum Text:");
        panel.addText("Bitte gib als erstes Deine Antwort an und sage dann, wie sicher Du Dir bist.");

        panel.addText(" ");
        panel.addBoldText("Ab wann kann man zukünftig die Spiegelartikel der kommenden Woche bereits online abrufen?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_SPIEGEL1", "Ab:", new String[] {"Samstag 10 Uhr", "Samstag 15 Uhr", "Sonntag 13 Uhr"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_SPIEGEL1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wie heißt der Vorstand von SpiegelNet?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_SPIEGEL2", "Name:", new String[] {"Carsten Tummler", "Thoms Göbler", "Marco Knossler"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_SPIEGEL2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welches Zahlsystem soll eingesetzt werden?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_SPIEGEL3_L", "System:", new String[] {"ePayment", "Allcash", "click&buy"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_SPIEGEL3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welcher im Artikel genante Anbieter setzt auch auf kostenpflichtige Inhalte?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_SPIEGEL4_L", "Anbieter:", new String[] {"Tomorrow Focus", "Stern Online", "Die Zeit"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_SPIEGEL4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis21));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        taskGroup.addTask(panel);
        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT I: Whiskey =============================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Erster Test");
        panel.addItem(Box.createRigidArea(new Dimension(0, 40)));
        panel.addText("Jetzt geht es richtig los.");
        panel.addText("Auch dieser Test gibt eine Zeit von 30 Sekunden, um die Seite zu lesen.");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke den ,,Start''-Knopf und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.whiskyhilft.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Mit wem kann man die Korallen auf den Fijis ansehen?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_WHISKY1", "Name:", new String[] {"Jean Cousteau", "Franziska von Almsick", "Greg Louganis"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_WHISKY1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Mit wem kann man das Berliner Nachtleben unsicher machen?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_WHISKY2_L", "Name:", new String[] {"Bruno Ganz", "Wim Wenders", "Ben Becker"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_WHISKY2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welcher DJ kann auf Ihrer Privatfete spielen?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_WHISKY3_L", "Name:", new String[] {"Dr. Motte", "Sven Väth", "L.U.P.O"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_WHISKY3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wo können sie nicht lange, aber gut mit Eingeborenen leben?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_WHISKY4", "Land:", new String[] {"Feuerland", "Peru", "Martinique"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_WHISKY4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis21));

        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        taskGroup.addTask(panel);
        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 2: SUN ================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.sun.20prozent.html", 25000);

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // Test 3-----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Für welches Quartal prognostizieren die Analysten wieder Gewinne für Sun?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_SUN1", "Ab:", new String[] {"erstes Quartal 2002", "zweites Quartal 2002", "drittes Quartal 2002"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_SUN1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Ab wann rechnet Sun laut Quartalsbericht wieder mit Gewinnen?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_SUN2_L", "Nicht vor:", new String[] {"April 2002", "Juni 2002", "Oktober 2002"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_SUN2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wieviel Megahertz haben die neuen Prozessoren?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_SUN3_L", "Takt:", new String[] {"900 MHz", "1200 MHz", "1900 MHz"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_SUN3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wie heißt der angeblich schnellste Midframe-Server der Welt?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_SUN4", "Name:", new String[] {"Sun Fire 4810", "Sun Fire 6800", "Sun Fire 6810"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_SUN4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis21));

        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST 3 MIT TIMEOUT MICROSOFT TV =====================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.microsoft.tv.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Was möchte Charter Communications seinen Kunden zukommen lassen?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_CC1", "Angebot:", new String[] {"Informationen übers Internet", "Video on Demand", "Interaktive Kinofilme"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_CC1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wann soll die Software von Microsoft eingesetzt werden?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_CC2", "Wann:", new String[] {"Sie wird seit kurzem eingesetzt", "In naher Zukunft", "Im nächsten Jahr"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_CC2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welche Position nimmt Charter in der Rangliste der Kabelfernsehanbieter ein?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_CC3_L", "Rang:", new String[] {"zwei", "drei", "vier"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_CC3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wo hat sich Microsoft eingekauft?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_CC4_L", "Konzern:", new String[] {"AT&T", "Sprint", "CNN"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_CC4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis21));

        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 4 KAFFEE ===========================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.internet.kaffeemaschine.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Wie heißt die Kaffeemaschine?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_COFF1_L", "Name:", new String[] {"Web Coffee Maker", "Coffeepot-Cam", "The REAL Java-Brewery"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_COFF1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Seit wann stand diese im Netz?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_COFF2", "Seit:", new String[] {"November 1992", "November 1993", "November 1994"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_COFF2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("In welchem Raum stand sie?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_COFF3_L", "Raum:", new String[] {"Trojan Room", "Coleridge Hall", "Blake Room"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_COFF3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welchen Titel verdient sich die \"Krups Pro Aroma\" damit höchstwahrscheinlich?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_COFF4", "Titel:", new String[] {"Meistgesehenste Kaffeemaschine", "Begehrteste Kaffeemaschine", "Teuerste Kaffeemaschine"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_COFF4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis21));

        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 5 BROKAT ===========================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.brokatzerfaellt.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Wer übernimmt den Geschäftsbereich \"mobiles Internet\"?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BRO1_L", "Das Unternehmen:", new String[] {"Vodafone", "Eriksson", "eOne Global"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BRO1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wieviel kostet die Sparte \"Finanzanwendungen\"?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BRO2", "Kosten:", new String[] {"10,4 Millionen EUR", "17,2 Millionen EUR", "21,3 Millionen EUR"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BRO2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welche Person aus dem alten Vorstand von Brokat wird in beiden Unternehmen im Vorstand sitzen?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BRO3", "Manager:", new String[] {"Michael Janßen", "Wilfried Köster", "Thomas Dorant"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BRO3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welche Ambitionen sind vom Tisch?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BRO4_L", "Ambitionen:", new String[] {"Ostasien-Ambitionen", "Amerika-Ambitionen", "Osteuropa-Ambitionen"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BRO4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis22));

        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 6 ================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addBoldText("ACHTUNG: Die Darstellung der Links ist jetzt anders!");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.euro.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Auf welcher Website findet man die empfohlenen Informationen zum Euro?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_EURO1_L", "Name:", new String[] {"www.euro-wissen.de", "www.euro-online.de", "www.aktion-euro.de"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_EURO1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("In welcher Darstellungsweise wird Kindern altersgerecht der Euro nähergebracht?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_EURO2", "Antwort:", new String[] {"Ein interaktives Fernsehgerät", "Ein Online-Spiel", "Eine animierte Bildergeschichte"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_EURO2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welches Material wird Lehrern für den Unterricht angeboten?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_EURO3", "Material:", new String[] {"Wissenstests und Malvorlagen", "Witzige, kindergerechte Broschüren", "Bunte Euro-Poster"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_EURO3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welche staatliche Einrichtung hält weiteres Informationsmaterial bereit?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_EURO4_L", "Einrichtung", new String[] {"Bundeszentrale für politische Bildung", "Bundesamt für Finanzen", "Bundesministerium für Bildung und Forschung"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_EURO4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis22));

        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 7 ================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.eplus.bilduebertragung.html", 30000);

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Wie heißt der Konzern, der jetzt erstmals Lizenzen für sein ,,Multimedia Messaging Protocol'' verkauft hat?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_EPLUS1_L", "Name:", new String[] {"NTT DoCoMo", "KSS YoMaKo", "LKK KaDoCo"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_EPLUS1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welche Nationalität hat obiger Konzern?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_EPLUS2", "Land:", new String[] {"Japanisch", "Amerikanisch", "Deutsch"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_EPLUS2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wie heißt der erwähnte niederländische Partner?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_EPLUS3_L", "Name:", new String[] {"NFL Vodafone", "Vodacom NL", "KPN Mobile"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_EPLUS3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("An welchem Wochentag teilten die Unternehmen Ihren Lizenzvertrag der Öffentlichkeit mit?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_EPLUS4", "Tag:", new String[] {"Montag", "Mittwoch", "Freitag"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_EPLUS4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis22));

        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 8 ================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.baan.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Welcher Konzern versucht das Softwarehaus zu Übernehmen?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BAAN1_L", "Name:", new String[] {"Syscon", "Ivensys", "Conbit"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BAAN1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wer opponiert gegen die Übernahme?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BAAN2", "Gegner:", new String[] {"Der alte CEO", "Ein großer Anteilseigner", "Eine Gruppe von Anteilseignern"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BAAN2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Durch wen wurde der Handel mit den Baan-Aktien ausgesetzt?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BAAN3", "Name:", new String[] {"Londoner Borsenaufsicht", "New Yorker Börsenaufsicht", "Amsterdamer Börsenaufsicht"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BAAN3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Was erhofften sich Aktionäre durch den Boykott der Übernahme?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BAAN4_L", "Aktion:", new String[] {"Ein Verhindern der Übernahme", "Eine Angeobots-Aufbesserung", "Mehr Einfluss auf die Firmenpolitik"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BAAN4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis22));

        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 9 ================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.letsbuyit.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Wie heißt die Konsortialbank, die sich aus dem Konsortium zurückzog?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BUYIT1_L", "Bank:", new String[] {"Deutsche Bank", "Sal. Oppenheim", "Commerzbank"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BUYIT1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wer sprach vom ,,Supergau im Leben eines IPO-Kandidaten''?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BUYIT2", "Name:", new String[] {"Wallstreet Online", "Börse Online", "Financial Times"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BUYIT2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Was macht der CEO Martin Cole für die schlecht Lage verantwortlich?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BUYIT3", "Ursache:", new String[] {"Der niedrige Nemax", "Der niedrige DAX", "Das schlechte Marktumfeld"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BUYIT3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wodurch sind Internet-Unternehmen generell in Verruf geraten?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BUYIT4_L", "Durch:", new String[] {"Betrugsvorfälle", "Todeslisten", "Hohe Verluste"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BUYIT4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis22));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 10 ================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.gates.erschossen.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Von welcher Gruppe handelt der genannte fiktive Dokumentarfilm?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_GATES1_L", "Gruppe:", new String[] {"People for Justice", "Citizens for Truth", "Folks for Freedom"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_GATES1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wie starb Bill Gates?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_GATES2", "Er wurde:", new String[] {"erschossen", "vergiftet", "erstochen"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_GATES2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welche Einrichtung ist in den Mord verwickelt?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_GATES3", "Name:", new String[] {"Das CIA", "Das Wirtschaftsministerium", "Das Justizministerium"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_GATES3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welche Adresse hat die makabre Website, die demnächst freigeschaltet werden soll?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_GATES4_L", "Adresse:", new String[] {"BillGatesIsDead.com", "KillBillGates.com", "WhoKilledBillGates.com"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_GATES4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis23));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 11 ================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addBoldText("ACHTUNG: Die Darstellung der Links ist jetzt anders!");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.fisher.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Wie heißt der Radiosender aus San Diego, der das Lied der Gruppe ,,Fisher'' zuerst spielte?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_FISHER1_L", "Sender:", new String[] {"Hits 100,7", "Music 100,7", "Star 100,7"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_FISHER1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Zu welchem Medienkonzern gehört Farmclub.com?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_FISHER2", "Konzern:", new String[] {"Universal", "Warner Brothers", "Sony"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_FISHER2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wie heisst das erste Album der Gruppe Fisher?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_FISHER3", "Name:", new String[] {"Blue Youth", "True North", "Sweet South"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_FISHER3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welche bekannte Gruppe hatte nur 500 CDs in der ersten Woche verkauft?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_FISHER4_L", "Gruppe:", new String[] {"No Doubt", "Linkin Park", "Matchbox 20"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_FISHER4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis23));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 12 ================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.freeinisout.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Wieviel Minuten kostenloser Zugang pro Tag wurde gewährt?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_FREEIN1_L", "Zeit:", new String[] {"10 Minuten", "20 Minuten", "30 Minuten"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_FREEIN1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Ab wann soll der Zugang 2,9 Pfennig pro Minute kosten?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_FREEIN2", "Ab:", new String[] {"Anfang Januar", "Mitte Januar", "Anfang Februar"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_FREEIN2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welches Geschäftsmodell traf bei den angefragten Unternehmen auf wenig Resonanz?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_FREEIN3", "Modell:", new String[] {"Gezielte Werbebanner", "Verkauf von Kundendaten", "Sponsorenschaft"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_FREEIN3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wie hieß der in der USA gestoppte Zugang?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_FREEIN4_L", "Name:", new String[] {"FreeIn", "Free Access", "SurfFree"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_FREEIN4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis23));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 13 ================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.viren.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Wie heist die Firma, die die ,,Viren-Studie'' veröffentlicht hat?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_VIREN1_L", "Name:", new String[] {"InterSecure", "MailProtect", "MessageLabs"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_VIREN1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wie oft ging durchschnittlich ein Virus im Jahr 2000 bei der Firma ein?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_VIREN2", "Häufigkeit:", new String[] {"Alle drei Minuten", "Alle 10 Minuten", "Stündlich"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_VIREN2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welcher Monat führt bei der Virenstatistik?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_VIREN3", "Monat:", new String[] {"Mai", "Juni", "Oktober"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_VIREN3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wieviele Mail scannt die Firma nach eigenen Angaben pro Tag?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_VIREN4_L", "Anzahl:", new String[] {"Eine Million", "Drei Millionen", "Zehn Millionen"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_VIREN4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis23));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 14 ================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.photonik.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Um vieviel soll der Markt für Photonik-Systeme bis 2005 wachsen?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_PHOT1", "Prozentzahl:", new String[] {"42%", "142%", "420%"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_PHOT1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wie hoch ist der erhofft Umsatz für 2005?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_PHOT2_L", "Umsatz:", new String[] {"4 Mrd. US$", "54 Mrd. US$", "114 Mrd. US$"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_VIREN2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Welche Firma stellt auf der ECOC Techniken für 40GB/s vor?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_PHOT3_L", "Name:", new String[] {"Cisco", "Lucent", "Siemens"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_PHOT3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Wie viele Kanäle pro Faser sind möglich?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_PHOT4", "Anzahl:", new String[] {"40 Kanäle", "80 Kanäle", "200 Kanäle"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_PHOT4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.departureexperiment.DepartureExperimentNextButton(experiment, vis23));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = TEST MIT TIMEOUT 15 ================================================================

        taskGroup = new TaskGroup();

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Nächster Test");
        panel.addItem(Box.createVerticalGlue());
        panel.addBoldText("Bitte drücke ,,Start'' und lies den Text auf der Webseite.");
        panel.addItem(Box.createVerticalGlue());

        startx = new StartButtonWithTimeout(experiment, "http://local.scone.de/heise.bush.html");

        panel.addItem(startx);
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        // -----------------------------------------------------------------------------------

        panel = new TaskPanel();

        panel.addBoldText("Vier Fragen zum Text:");

        panel.addText(" ");
        panel.addBoldText("Wem gegenüber bestätigte Bush die Gerüchte, dass er keine E-Mails mehr schrieben will?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BUSH1", "Es war das:", new String[] {"US-Repräsentatenhaus", "US-Verlegerverband", "New York Times"}, 1));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BUSH1+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("In welchem Rahmen könnte laut Bush seine private Korrespondez veröffentlicht werden?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BUSH2_L", "Gesetz:", new String[] {"Freedom of Speech Law", "Open Policy Bill", "Freedom of Information Act"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BUSH2+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Was würde durch die Steuersenkungspläne an den Schulen besonders erschwert?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BUSH3", "Problem:", new String[] {"Der Sprachunterricht", "Die Behindertenbetreuung", "Die Computer-Erziehung"}, 2));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BUSH3+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addText(" ");
        panel.addBoldText("Um wieviel sinke der zivile Forschungsetat nach den Plänen des Präsidenten?");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        panel.addItem(new evaluator.util.OptionsBox("Q_BUSH4_L", "Prozent:", new String[] {"Acht Prozent", "Zehn Prozent", "Achzig Prozent"}, 0));
        panel.addItem(new evaluator.util.CertitudeScale("Q_BUSH4+"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));

        panel.addItem(Box.createVerticalGlue());
        // panel.addItem(new evaluator.departureexperiment.MusicalNextButton(experiment));
        panel.addItem(new evaluator.util.NextButton(experiment));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        experiment.addTaskGroup(taskGroup);

        // = AUSLEITUNG ======================================================================

        taskGroup = new TaskGroup();
        panel = new TaskPanel();

        panel.addBoldText("Das war alles! Vielen Dank für die Teilnahme an unserem Experiment!");
        panel.addText(" ");
        panel.addText(" ");
        panel.addText("Wenn Du wissen möchtest, was aus Deiner Teilnahme für Ergebnisse erzeugt wurden,");
        panel.addText("dann trage Deine Email hier ein, wir verschicken dann unsere Resultate.");
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        teb = new TextEntryBox("Q_EMAIL", "Platz für Deine Email-Adresse");
        teb.setEnabled(true);
        panel.addItem(teb);
        panel.addItem(Box.createVerticalGlue());
        panel.addItem(new evaluator.util.QuitButton(experiment, "Fertig!"));
        panel.addItem(Box.createRigidArea(new Dimension(0, 20)));
        taskGroup.addTask(panel);

        taskGroup.addTask(panel);
        experiment.addTaskGroup(taskGroup);
    }
}
